[Grunt homepage](https://github.com/cowboy/grunt) | [Documentation table of contents](toc.md)

# init (built-in task)
Generate project scaffolding from a predefined template.

## About

The `init` task initializes a new project, based on the current environment and the answers to a few questions. Once complete, a [grunt.js configuration file](getting_started.md) will be generated along with a complete directory structure, including a basic readme, license, package.json, sample source files and unit tests (etc).

The exact files and contents created depend on the template chosen along with the answers to the questions asked.

Unlike other tasks, init should only ever be run once for a project. Typically, it is run at the very beginning before work has begun, but it can be run later. **Just keep in mind that new files are generated, so for existing projects, ensure that everything is already committed first.**

## Usage examples

Change to a new directory, and type in `grunt init:TEMPLATE` where TEMPLATE is one of the following templates. Answer the questions. Watch grunt do it's thing. Done. Now you have fully initialized project scaffolding that you can customize, `grunt` and publish.

## Built-in templates

The init task currently supports these templates:

* `commonjs` - See an [example repo](https://github.com/cowboy/grunt-commonjs-example/tree/HEAD~1) generated by this template along with the [creation transcript](https://github.com/cowboy/grunt-commonjs-example/blob/master/README.md).
* `jquery` - See an [example repo](https://github.com/cowboy/grunt-jquery-example/tree/HEAD~1) generated by this template along with the [creation transcript](https://github.com/cowboy/grunt-jquery-example/blob/master/README.md).
* `node` - See an [example repo](https://github.com/cowboy/grunt-node-example/tree/HEAD~1) generated by this template along with the [creation transcript](https://github.com/cowboy/grunt-node-example/blob/master/README.md).

## Built-in prompts

_(Documentation coming soon)_

## Specifying default prompt answers

_(Documentation coming soon)_

## Overriding template files

_(Documentation coming soon)_

## Renaming template files

_(Documentation coming soon)_

## Creating custom templates

_(Documentation coming soon)_

## Inside an init template

_(Documentation coming soon)_


See the [init task source](../tasks/init.js) for more information.
